#!/bin/bash
set -e

pkg=libapfloat-java

export LC_ALL=C.UTF-8
if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  # Double quote below to expand the temporary directory variable now versus
  # later is on purpose.
  # shellcheck disable=SC2064
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

sh exampleComputingPi
if [ $? -eq 0 ]; then
  echo "Test exampleComputingPi PASSED"
else
  echo "Test exampleComputingPi FAILED"
fi

sh exampleComputingPi2Threads
if [ $? -eq 0 ]; then
  echo "Test exampleComputingPi2Threads PASSED"
else
  echo "Test exampleComputingPi2Threads FAILED"
fi

sh exampleWebsiteTutorial
if [ $? -eq 0 ]; then
  echo "Test exampleWebsiteTutorial PASSED"
else
  echo "Test exampleWebsiteTutorial FAILED"
fi

sh testCalculator
if [ $? -eq 0 ]; then
  echo "Test testCalculator PASSED"
else
  echo "Test testCalculator FAILED"
fi

